unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, CDKEY, ExtCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    CDKey1: TCDKey;
    Panel1: TPanel;
    Memo1: TMemo;
    Label4: TLabel;
    BitBtn3: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  { **** DEFINE MASK AND BASE BYTE **** }
  CDKey1.Base := 'ABC-123EFGH-IJKL';
  { **** EXPLAINATION OF THE SAMPLE MASK ****
    1. The character mask dnotes a character byte
    2. The numeric mask denotes a numeric byte
    3. The '-' mask is the CDKey separator
    4. Length of string denoted the length of CDKey
    -------------------------------------------
    In this case, we have defined a CDKEy with
    17 characters (three of which is numeric), separated
    by two '-' sign.

    This could result in values EFD-454GSJL-HKGF,
    APF-842ASDG-FGUE, OR OPI-093KSLD-IPEL.


  }


end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin

  { *** ASSIGN THE VALUES FROM EDIT BOXES TO COMPONENT ***}
  { A single change in the character of the username or
    in the company name will return a new unique key }


  CDKey1.UserName := Edit1.Text;
  CDKey1.Company := Edit2.Text;

  { *** CALL EXECUTE METHOD *** }
  CDKey1.Execute;

  { *** NOW CHECK THE CDKEY *** }
  If Edit3.Text = CDKey1.CDKEY then
    Begin
      Label4.Caption := 'Registration completed. Read on !';
      Self.ClientHeight := 450;
      BitBtn1.Enabled := False;
      BitBtn2.Enabled := False;
      BitBtn3.Enabled := True;
      Self.Position := poScreenCenter;      
    End
   else
     Begin
      Label4.Caption := 'SORRY ! But the CDKey is = ' + CDKey1.CDKey;
      Self.ClientHeight := 450;
      BitBtn1.Enabled := False;
      BitBtn2.Enabled := False;
      BitBtn3.Enabled := True;
      Self.Position := poScreenCenter;
     End;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Label4.Caption := 'REGISTRATION CANCELLED !!!';
  Self.ClientHeight := 450;
  BitBtn1.Enabled := False;
  BitBtn2.Enabled := False;
  BitBtn3.Enabled := True;
  Self.Position := poScreenCenter;  
end;

end.
